9f65cc
From c588aea59c9a2441596b84722c6c32449676f07d Mon Sep 17 00:00:00 2001
9f65cc
From: Lukas Nykryn <lnykryn@redhat.com>
9f65cc
Date: Thu, 18 Feb 2021 11:23:41 +0100
9f65cc
Subject: [PATCH] fix(fcoe): rename rd.nofcoe to rd.fcoe
9f65cc
9f65cc
The current name of this bool is kinda stupid. Based on the manpage
9f65cc
setting it to 0 turns off fcoe, which means that nofcoe=1 should mean
9f65cc
that it is on.
9f65cc
9f65cc
Let's just do the same thing as with rd.lvm=0, rd.luks=0,....
9f65cc
9f65cc
(cherry picked from commit 6f7823bce65dd4b52497dbb94892b637fd06471a)
9f65cc
9f65cc
Resolves: #1929201
9f65cc
---
9f65cc
 dracut.cmdline.7.asc           | 2 +-
9f65cc
 modules.d/95fcoe/lldpad.sh     | 4 ++--
9f65cc
 modules.d/95fcoe/parse-fcoe.sh | 4 ++--
9f65cc
 3 files changed, 5 insertions(+), 5 deletions(-)
9f65cc
9f65cc
diff --git a/dracut.cmdline.7.asc b/dracut.cmdline.7.asc
9f65cc
index bf745575..327f85de 100644
9f65cc
--- a/dracut.cmdline.7.asc
9f65cc
+++ b/dracut.cmdline.7.asc
9f65cc
@@ -779,7 +779,7 @@ iscsistart -b --param node.session.timeo.replacement_timeout=30
9f65cc
 
9f65cc
 FCoE
9f65cc
 ~~~~
9f65cc
-**rd.nofcoe=0**::
9f65cc
+**rd.fcoe=0**::
9f65cc
     disable FCoE and lldpad
9f65cc
 
9f65cc
 **fcoe=**__<edd|interface|MAC>__:__{dcb|nodcb}__:__{fabric|vn2vn}__::
9f65cc
diff --git a/modules.d/95fcoe/lldpad.sh b/modules.d/95fcoe/lldpad.sh
9f65cc
index 6b1844b0..c860035f 100755
9f65cc
--- a/modules.d/95fcoe/lldpad.sh
9f65cc
+++ b/modules.d/95fcoe/lldpad.sh
9f65cc
@@ -1,7 +1,7 @@
9f65cc
 #!/bin/bash
9f65cc
 
9f65cc
-if ! getargbool 1 rd.nofcoe ; then
9f65cc
-	info "rd.nofcoe=0: skipping lldpad activation"
9f65cc
+if ! getargbool 1 rd.fcoe -d -n rd.nofcoe ; then
9f65cc
+	info "rd.fcoe=0: skipping lldpad activation"
9f65cc
 	return 0
9f65cc
 fi
9f65cc
 
9f65cc
diff --git a/modules.d/95fcoe/parse-fcoe.sh b/modules.d/95fcoe/parse-fcoe.sh
9f65cc
index 5553602f..0a8067f5 100755
9f65cc
--- a/modules.d/95fcoe/parse-fcoe.sh
9f65cc
+++ b/modules.d/95fcoe/parse-fcoe.sh
9f65cc
@@ -13,8 +13,8 @@
9f65cc
 # fcoe=eth0:nodcb:vn2vn
9f65cc
 # fcoe=4a:3f:4c:04:f8:d7:nodcb:fabric
9f65cc
 
9f65cc
-if ! getargbool 1 rd.nofcoe ; then
9f65cc
-	info "rd.nofcoe=0: skipping fcoe"
9f65cc
+if ! getargbool 1 rd.fcoe -d -n rd.nofcoe ; then
9f65cc
+	info "rd.fcoe=0: skipping fcoe"
9f65cc
 	return 0
9f65cc
 fi
9f65cc
 
9f65cc